{% extends 'base/base.html' %}

{% block base_title %}
    Delete task {{ object.id }}
{% endblock %}

{% block base_content %}
    <div class="container jumbotron">
        <h1>Do you want to remove the task : {{ object.title }} ?</h1>

        <div class="mt-2 d-flex flex-column">
            <div class="p-2">
                <span class="font-weight-bold">Description :</span>
                <span>{{ object.descr }}</span>
            </div>

            <div class="p-2">
                <span class="font-weight-bold">Tree :</span>
                <span>{{ object.tree.id }}</span>
            </div>

            <div class="p-2">
                <span class="font-weight-bold">Skills range :</span>

                <div class="d-flex flex-column">
                    {% for tab in object.abilities.all %}
                        <div class="row ml-3 mt-2">
                            <div class="col-sm-2 font-weight-bold">
                                 &#8226 {{ tab.ability.name }} :
                            </div>

                            <div class="col-sm-10">
                                {% include 'base/display_area.html' with min=tab.level_min max=tab.level_max %}
                            </div>

                        </div>
                    {% endfor %}
                </div>
            </div>

        </div>

        <form role="form" method="post" class="mt-3">
            {% csrf_token %}
            <button type="submit" class="btn btn-primary">
                Confirm
            </button>

            <a href="{% url 'tasks' %}" class="btn btn-secondary">Cancel</a>
        </form>
    </div>
{% endblock %}

